Package org.opensaml.xacml.policy

# Interface ResourceMatchType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `ResourceMatchTypeImpl`

public interface ResourceMatchType extends XACMLObject
XACML ResourceMatch schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element ResourceMatch.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element ResourceMatch.
`static final String`
`MATCH_ID_ATTRIB_NAME`
MatchID attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`AttributeSelectorType`
`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeValueType`
`getAttributeValue()`
Gets the attribute value for this match.
`String`
`getMatchId()`
Gets the ID of this match.
`AttributeDesignatorType`
`getResourceAttributeDesignator()`
Gets the resource attribute designator for this match.
`void`
`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
`setAttributeValue(AttributeValueType value)`
Sets the attribute value for this match.
`void`
`setMatchId(String id)`
Sets the ID of this match.
`void`
`setResourceAttributeDesignator(AttributeDesignatorType attribute)`
Sets the resource attribute designator for this match.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element ResourceMatch.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element ResourceMatch.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### MATCH_ID_ATTRIB_NAME

static final String MATCH_ID_ATTRIB_NAME
MatchID attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAttributeValue

AttributeValueType getAttributeValue()
Gets the attribute value for this match.

Returns:
  attribute value for this match

### setAttributeValue

void setAttributeValue(AttributeValueType value)
Sets the attribute value for this match.

Parameters:
  `value` - attribute value for this match

### getResourceAttributeDesignator

AttributeDesignatorType getResourceAttributeDesignator()
Gets the resource attribute designator for this match.

Returns:
  resource attribute designator for this match

### setResourceAttributeDesignator

void setResourceAttributeDesignator(AttributeDesignatorType attribute)
Sets the resource attribute designator for this match.

Parameters:
  `attribute` - resource attribute designator for this match

### getAttributeSelector

AttributeSelectorType getAttributeSelector()
Gets the attribute selector for this match.

Returns:
  attribute selector for this match

### setAttributeSelector

void setAttributeSelector(AttributeSelectorType selector)
Sets the attribute selector for this match.

Parameters:
  `selector` - attribute selector for this match

### getMatchId

String getMatchId()
Gets the ID of this match.

Returns:
  ID of this match

### setMatchId

void setMatchId(String id)
Sets the ID of this match.

Parameters:
  `id` - ID of this match